#include <iostream>
#include <fstream>
#include <algorithm>
#include <vector>

int main() {
	std::ifstream input("./input");

	size_t val = 0;
	for(std::string line; std::getline(input, line);) {
		std::vector<uint8_t> digits;
		std::for_each(line.begin(), line.end(), [&digits](const char c){
			uint8_t digit = c - '0';
			if(digit < 10) digits.emplace_back(digit);
		});
		val += digits.front()*10 + digits.back();
	}
	std::cout << val << std::endl;
}
